## yorick-gl 1.1+cvs20070922+dfsg

=== Makefile ===
# Makefile for yorick-gl, the yorgl OpenGL package
# $Id: Makefile,v 1.1.1.1 2005/09/18 22:07:55 dhmunro Exp $

Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=

# ----------------------------------------------------- optimization flags

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yorgl
PKG_EXENAME=yorgl

YISO_PKG_I=cntrfunc.i
YGL_PKG_I=glfunc.i

YISO_I=contour.i tristruct.i
YGL_I=dlist3d.i slicenew.i glcompat.i glprofile.i testgl.i testisotree.i

YISO_OBJS=ContourTets3D.o Gradient3D.o isotree.o slicetree.o
YGL_OBJS=glPolys.o glStrips.o gltexture.o glcode.o glfunc.o glMouse.o \
  glx11view.o glx11setup.o TriUtil.o dlist3d.o glTarray.o gltexsubs.o \
  glustub.o glGlyph.o $(OGLXW)

include ./Makegl

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

GLCODE=glcode.h dlist3d.h playgl.h
GLFUNC=glfunc.h $(GLCODE)
GLWRAP=glWrappers.h TriStruct.h
TriUtil.o: $(GLWRAP) $(GLFUNC)
dlist3d.o: glBasic.h glStrips.h $(GLWRAP) $(GLFUNC)
glGlyph.o: TriStruct.h $(GLFUNC)
glInfo.o: glInfo.h playgl.h
glMouse.o: glMouse.h $(GLWRAP) $(GLFUNC)
glPolys.o: glPolys.h $(GLFUNC)
glStrips.o: glStrips.h $(GLWRAP) $(GLFUNC)
glTarray.o: glStrips.h $(GLWRAP) $(GLFUNC)
glcode.o: $(GLFUNC)
glfunc.o: glBasic.h glMouse.h glStrips.h $(GLWRAP) $(GLFUNC)
gltexpal.o: Contour3D.h gl3dtex.h glMouse.h glcubetex.h glviewpoint.h $(GLFUNC)
gltexsubs.o: gl3dtex.h glBasic.h glcubetex.h $(GLFUNC)
gltexture.o: Contour3D.h gl3dtex.h glBasic.h glMouse.h glcubetex.h $(GLFUNC)
glustub.o: $(GLCODE)
glx11setup.o: glBasic.h glMouse.h $(GLFUNC)
glx11view.o: glBasic.h glMouse.h $(GLFUNC)
glxWinUtils.o: glxWinUtils.h
ContourTets3D.o: Contour3D.h
Gradient3D.o: Contour3D.h
isotree.o: Contour3D.h isotree.h
slicetree.o: Contour3D.h slicetree.h
oglx.o: playgl.h oglx.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_MESA_PIXMAPS) -o $@ -c oglx.c
oglw.o: playgl.h

install::
	$(YNSTALL) $(PKG_I_EXTRA) "$(Y_SITE)/i"

uninstall::
	cd "$(Y_SITE)/i"; rm -f $(PKG_I_EXTRA)

distclean::
	./configure --distclean

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-gl (1.1+cvs20070922+dfsg-7) unstable; urgency=medium

  * Update control (VCS fields, uploader address, debhelper compat...)
  * Bug fix: "FTBFS: slicetree.c:1035:5: error: implicit declaration of
    function ‘YError’ [-Werror=implicit-function-declaration]", thanks to
    Lucas Nussbaum (Closes: #1066537), new patch
    Werror_implicit-function-declaration.
  * Make dh_auto_test a noop.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 02 Aug 2024 07:28:51 +0200

yorick-gl (1.1+cvs20070922+dfsg-6) unstable; urgency=low

  * Update watch to look at github
  * Minimize debian/rules using dh notation
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 15:38:41 +0200

yorick-gl (1.1+cvs20070922+dfsg-5) unstable; urgency=low

  * Amend control to comply with the Debian Science Policy
  * Check against policy 3.9.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 21:34:13 +0200

yorick-gl (1.1+cvs20070922+dfsg-4) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b
    yorick-gl-1.1+cvs20070922+dfsg gave error exit status 2", thanks to
    Mònica Ramírez Arceda (Closes: #652210).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Dec 2011 07:31:21 +0100

yorick-gl (1.1+cvs20070922+dfsg-3) unstable; urgency=low
 
  * Bug fix: "build-depends-on-obsolete-package xlibmesa-gl-dev", thanks
    to Jari Aalto (Closes: #579039).
  * Check angainst policy 3.8.4
  * Move to science section
  * Convert to '3.0 (quilt)' format
  * Bump debhelper compat level to 7
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Apr 2010 14:57:36 +0200

yorick-gl (1.1+cvs20070922+dfsg-2) unstable; urgency=low
 
  * Fix FTBFS when using dpkg-buildpackage -rsudo which prevented
    auto-building on alpha and mipsel. (Closes: #499915).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 23 Sep 2008 18:25:00 +0200

yorick-gl (1.1+cvs20070922+dfsg-1) unstable; urgency=low

  * Ensure DFSG-freeness and move to main from non-free:
    + remove glxWinUtils.c and glxWinUtils.h from .orig.tar.gz
      (those files were not used)
    + modify debian/copyright and debian/control accordingly
    The changes are kept minimal to allow Lenny transition.
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 12 Sep 2008 11:49:41 +0200

yorick-gl (1.1+cvs20070922-4) unstable; urgency=low

  * added missing build-dependency on libxext-dev (Closes: #498503).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 10 Sep 2008 17:45:01 +0200

yorick-gl (1.1+cvs20070922-3) unstable; urgency=low

  * New build. Files were missing in last deb package.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 1 Mar 2008 17:20:21 +0100

yorick-gl (1.1+cvs20070922-2) unstable; urgency=low

  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-gl.{packinfo,keywords}

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 17:20:21 +0100

yorick-gl (1.1+cvs20070922-1) unstable; urgency=low

  * Initial Release. Closes: #366709

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Nov 2007 11:42:06 +0100

=== debian/control ===
Source: yorick-gl
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), libgl-dev, libxext-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/science-team/yorick-gl.git
Vcs-Browser: https://salsa.debian.org/science-team/yorick-gl
Homepage: https://software.llnl.gov/yorick-doc/

Package: yorick-gl
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL 3D graphics support for the Yorick language
 This is a compiled add-on for yorick (an interpreted computer language
 specialized for numerical and scientific problems).  Yorick-gl adds
 support for OpenGL 3D graphics.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_configure:
# configuration is done in a patch resulting from:
#	CFLAGS="$(CFLAGS)" ./configure
# also make sure yorz.doc is not built (or installed)


override_dh_auto_clean:
	touch Makegl
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
ifeq (,$(shell head -1 Makegl))
	rm -f Makegl *.o
endif

override_dh_auto_test:
